//
//  SDKInitializationConfig.swift
//  Runner
//
//  Created by Zhenya Knizhnik on 22.08.19.
//  Copyright © 2019 The Chromium Authors. All rights reserved.
//

import Foundation

struct SDKInitializationConfig {
    
    let isLoggingEnabled: Bool
    let licenseCode: String
    let storageBaseDirectory: URL?

    init?(from dictionary: [String: Any]) {
        self.licenseCode = (dictionary["licenseKey"] as? String) ?? ""
        self.isLoggingEnabled = (dictionary["loggingEnabled"] as? Bool) ?? false
        
        if let url = dictionary["storageBaseDirectory"] as? String {
            self.storageBaseDirectory = URL(fileURLWithPath: url, isDirectory: true)
        } else {
            self.storageBaseDirectory = nil
        }
    }
}
